get_nbrs {DiagrammeR} | R Documentation

## Get all neighbors of one or more nodes

### Description

With one or more nodes, get the set of all neighboring nodes.

### Usage

    get_nbrs(graph, nodes)

### Arguments

`graph` | a graph object of class `dgr_graph`.
`nodes` | a vector of node ID values.

### Value

a vector of node ID values.

### Examples

    # Create a simple, directed graph with 5
    # nodes and 4 edges
    graph <-
      create_graph() %>%
      add_path(n = 5)

    # Find all neighbor nodes for node `2`
    graph %>%
      get_nbrs(nodes = 2)
    #> [1] 1 3

    # Find all neighbor nodes for nodes `1`
    # and `5`
    graph %>%
      get_nbrs(nodes = c(1, 5))
    #> [1] 2 4

    # Color node `3` with purple, get its
    # neighbors and color those nodes green
    graph <-
      graph %>%
      select_nodes_by_id(nodes = 3) %>%
      set_node_attrs_ws(
        node_attr = color,
        value = "purple") %>%
      clear_selection() %>%
      select_nodes_by_id(
        nodes = get_nbrs(
          graph = .,
          nodes = 3)) %>%
      set_node_attrs_ws(
        node_attr = color,
        value = "green")

[Package DiagrammeR version 0.9.2 Index]